Subject: Re: [Ecrit] Comments for draft-sun-ecrit-unsafe-areas-00

From: Qian Sun <[email-masked]>
Date: Tue, 08 Jul 2008 17:27:02 +0800

Hi, Hannes

Thanks for your comments! Please see inline.

> -----Original Message-----
> From: Hannes Tschofenig [mailto:[email-masked]]
> Sent: Saturday, July 05, 2008 1:25 AM
> To: Qian Sun
> Cc: [email-masked]
> Subject: Comments for draft-sun-ecrit-unsafe-areas-00
> 
> Hi Qian,
> 
> thanks for the document. Interesting usage of LoST.
> 
> A few quick comments:
> 
> * I wonder whether it wouldn't be better to define some new service 
> URNs for the usage of these "unsafe" areas instead of adding a new attribute.
> The reason for this is that the existing service URNs are somewhat 
> difficult to use in this context. For example, what does it mean to 
> have the unsafe attribute included in the request when the 
> "urn:service:sos.poison" URN is used? New URNs are being proposed, 
> such as those in 
> http://tools.ietf.org/id/draft-forte-ecrit-service-classification-00.t
> xt, that make the semantic even more difficult to interpret.
> 
Good point! Indeed, "unsafe" area is meaningless for some services. Maybe it's better to define some new service URNs for the usage of these "unsafe" areas instead of adding a new attribute.

However, could we use "hotspotArea" attribute instead of "unsafeArea"?  It means the service is frequently requested or provided in these areas. This is meaningful for most services. For example:
For police service, these areas are the regions with high crime report. 
For restaurant service, these areas are the regions with a lot of popular restaurants.
......
Is this more general?

> * Would be useful to include an element in the reponse to point to 
> more detailed information, such as a URL to a webpage?
> 
Sure.

> * Deployment: Who do you think would want to run such a service? Would 
> this be something the PSAP operator would want todo? Tourism office?
> Police departments? (I am trying to figure out where to get some 
> feedback from.)
> 
If we define a new service URN for unsafe area of crime, maybe police departments would want to run such a service.

> How often do you think the "service boundaries" of these unsafe areas 
> change? (Keep constant for years vs. change every day)
> 
It depends on the specific service. For police service, change every month might be appropriate (normally the police departments give a monthly crime report). For marine service, maybe it can keep constant for years (submerged rocks are fixed).

Regards,
Qian

> Ciao
> Hannes
> 
> 
> 
> Qian Sun wrote:
> > Hi, All
> >
> > I just submitted a new draft, it can be found here:
> > http://www.ietf.org/internet-drafts/draft-sun-ecrit-unsafe-areas-00.
> > txt
> >
> > Filename:	 draft-sun-ecrit-unsafe-areas
> > Revision:	 00
> > Title:		 Specifying Unsafe Areas in LoST Service Boundary
> > Creation_date:	 2008-07-01
> > WG ID:		 Independent Submission
> > Number_of_pages: 8
> >
> > Abstract:
> > This document describes how to specify unsafe areas in LoST for 
> > emergency
> services, such as police, mountain, marine and fire.
> >
> > Your comments are welcome!
> >
> > Thanks!
> > Qian
> >
> > _______________________________________________
> > Ecrit mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ecrit
> >

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit